Package com.emc.documentum.rest.representation

# Class XMLNamespace

java.lang.Object
com.emc.documentum.rest.representation.XMLNamespace

public final class XMLNamespace extends Object
Constants of XML namespace definition

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATOM_NAMESPACE`
  Atom namespace and prefix
  `static final String`
  `ATOM_PREFIX`
  `static final String`
  `DM_NAMESPACE`
  Documentum namespace and prefix
  `static final String`
  `DM_PREFIX`
  `static final String`
  `OS_NAMESPACE`
  Open search namespace and prefix
  `static final String`
  `OS_PREFIX`
  `static final String`
  `OS_RELEVANCE_NAMESPACE`
  Open search relevance namespace and prefix
  `static final String`
  `OS_RELEVANCE_NAMESPACE_PREFIX`
  `static final String`
  `RSS_MEDIA_NAMESPACE`
  RSS media namespace and prefix
  `static final String`
  `RSS_MEDIA_NAMESPACE_PREFIX`
  `static final String`
  `SCHEMA_INSTANCE_NAMESPACE`
  XML schema instance namespace and prefix
  `static final String`
  `SCHEMA_INSTANCE_PREFIX`
  `static final String`
  `SCHEMA_NAMESPACE`
  XML schema namespace and prefix
  `static final String`
  `SCHEMA_PREFIX`
  `static final String`
  `SEARCH_NAMESPACE`
  Search namespace and prefix
  `static final String`
  `SEARCH_PREFIX`
  `static final String`
  `XML_NAMESPACE`
  XML namespace and prefix
  `static final String`
  `XML_PREFIX`
  `static final String`
  `XOP_NAMESPACE`
  XOP namespace and prefix
  `static final String`
  `XOP_NAMESPACE_PREFIX`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DM_NAMESPACE

    public static final String DM_NAMESPACE
    Documentum namespace and prefix

  - ### DM_PREFIX

    public static final String DM_PREFIX

  - ### ATOM_NAMESPACE

    public static final String ATOM_NAMESPACE
    Atom namespace and prefix
    See Also:
      - Constant Field Values

  - ### ATOM_PREFIX

    public static final String ATOM_PREFIX
    See Also:
      - Constant Field Values

  - ### SCHEMA_NAMESPACE

    public static final String SCHEMA_NAMESPACE
    XML schema namespace and prefix
    See Also:
      - Constant Field Values

  - ### SCHEMA_PREFIX

    public static final String SCHEMA_PREFIX
    See Also:
      - Constant Field Values

  - ### SCHEMA_INSTANCE_NAMESPACE

    public static final String SCHEMA_INSTANCE_NAMESPACE
    XML schema instance namespace and prefix
    See Also:
      - Constant Field Values

  - ### SCHEMA_INSTANCE_PREFIX

    public static final String SCHEMA_INSTANCE_PREFIX
    See Also:
      - Constant Field Values

  - ### XML_NAMESPACE

    public static final String XML_NAMESPACE
    XML namespace and prefix
    See Also:
      - Constant Field Values

  - ### XML_PREFIX

    public static final String XML_PREFIX
    See Also:
      - Constant Field Values

  - ### SEARCH_NAMESPACE

    public static final String SEARCH_NAMESPACE
    Search namespace and prefix

  - ### SEARCH_PREFIX

    public static final String SEARCH_PREFIX

  - ### OS_NAMESPACE

    public static final String OS_NAMESPACE
    Open search namespace and prefix
    See Also:
      - Constant Field Values

  - ### OS_PREFIX

    public static final String OS_PREFIX
    See Also:
      - Constant Field Values

  - ### OS_RELEVANCE_NAMESPACE

    public static final String OS_RELEVANCE_NAMESPACE
    Open search relevance namespace and prefix
    See Also:
      - Constant Field Values

  - ### OS_RELEVANCE_NAMESPACE_PREFIX

    public static final String OS_RELEVANCE_NAMESPACE_PREFIX
    See Also:
      - Constant Field Values

  - ### RSS_MEDIA_NAMESPACE

    public static final String RSS_MEDIA_NAMESPACE
    RSS media namespace and prefix
    See Also:
      - Constant Field Values

  - ### RSS_MEDIA_NAMESPACE_PREFIX

    public static final String RSS_MEDIA_NAMESPACE_PREFIX
    See Also:
      - Constant Field Values

  - ### XOP_NAMESPACE

    public static final String XOP_NAMESPACE
    XOP namespace and prefix
    See Also:
      - Constant Field Values

  - ### XOP_NAMESPACE_PREFIX

    public static final String XOP_NAMESPACE_PREFIX
    See Also:
      - Constant Field Values